Jump to content

[1.12.x] Exploration Rover System by A.S.E.T.


linuxgurugamer
 Share

Recommended Posts

@alexustas made this really nice rover many years ago, original thread here:https://forum.kerbalspaceprogram.com/index.php?/topic/85645-*

 

E7vnasQ.jpg

 

Exploration Rover System (ERS)

ERS is a set of different parts to build a rover which includes:

  • Command module with airlock which can store up to 4 kerbanauts
  • Crew module , can store 4 kerbanauts
  • Crew and Cargo module  (NEW)
  • Airlock and Cargo module (NEW)
  • Cargo module (NEW)
  • Universal Storage Mount
    preview: https://youtu.be/_TAkwehhk2M
  • Service module with battery or Fuel Cell and fuel
  • Wheels with tweakable mount (depending on which side it will be placed). They can be easily folded for transportation.
  • Powerful folding LED spotlight
  • Extendable Docking Port
Javascript is disabled. View full album

You can add/remove nodes with RCM (right-click-menu) in VAB.

 

Dependencies

 

Recommended

For Advanced IVA:

  • ASET_Props Pack need to be installed into Gamedata/ASET/
  • RasterPropMonitor plugin 0.30.6 or higher is required! (Without it, the pod won't function at all)..

Recommended mods:

 

 

 

Universal Storage Mount Adapter preview

 

Quote

Older previews:

 

New "Drive" screen for MFD

 

 

When wheels are folded, rover fits perfectly into 3.75 fairing.

Ra278wFl.png

 

Availability

Available via CKAN

 

ChangeLog

  • Formatted all files
  • Added some additional descriptive text to all parts
  • Fixed wheels to not break  as easily, they are now similar to the stock TR-L2
  • Adjusted node sizes for the grapple & attachment parts
  • Added and updated tags in all parts
  • Added bulkheadProfiles to those parts missing it
  • Converted textures to dds
Edited by linuxgurugamer
Link to comment
Share on other sites

This was (is) a spectacular rover pack. The IVA is pretty bonkers as well--almost like it was ripped from a completely different AAA game.

Thanks for bringing this one back up to spec, LGG!

Edited by Beetlecat
Link to comment
Share on other sites

Hiya.

I tried installing this via CKAN, and got the following error -

2022-02-18-22-31-11-CKAN-v1-30-4-KSP-1-1

I'm not sure that's going to work, so the text is 

Spoiler

About to install:

 * Exploration Rover System by A.S.E.T. 0.4.0.1 (cached)
 * JSIPartUtilities 0.5.0.5 (cached)
Oh no! We tried to overwrite a file owned by another mod!
Please try a `ckan update` and try again.

If this problem re-occurs, then it may be a packaging bug.
Please report it at:

https://github.com/KSP-CKAN/NetKAN/issues/new/choose

Please include the following information in your report:

File      : GameData/ASET/License.md
Installing Mod : ExplorationRoverSystembyASET 0.4.0.1
Owning Mod: ASET-PRC
CKAN Version   : v1.30.4
Your GameData has been returned to its original state.
Error during installation!
If the above message indicates a download error, please try again. Otherwise, please open an issue for us to investigate.
If you suspect a metadata problem: https://github.com/KSP-CKAN/NetKAN/issues/new/choose
If you suspect a bug in the client: https://github.com/KSP-CKAN/CKAN/issues/new/choose

Is this a 'me' problem, or a mod problem?

Edited by WelshSteW
Link to comment
Share on other sites

1 hour ago, WelshSteW said:

Is this a 'me' problem, or aproblem?

Do you happen to already have RPM installed? I'm wondering if its an issue trying to install JSIUtilities over one that may be needed/installed with RPM.. vOv
Do you already have a JSI folder in your /GameData/?

Edited by Stone Blue
Link to comment
Share on other sites

1 hour ago, WelshSteW said:

Hiya.

I tried installing this via CKAN, and got the following error -

2022-02-18-22-31-11-CKAN-v1-30-4-KSP-1-1

I'm not sure that's going to work, so the text is 

  Hide contents

About to install:

 * Exploration Rover System by A.S.E.T. 0.4.0.1 (cached)
 * JSIPartUtilities 0.5.0.5 (cached)
Oh no! We tried to overwrite a file owned by another mod!
Please try a `ckan update` and try again.

If this problem re-occurs, then it may be a packaging bug.
Please report it at:

https://github.com/KSP-CKAN/NetKAN/issues/new/choose

Please include the following information in your report:

File      : GameData/ASET/License.md
Installing Mod : ExplorationRoverSystembyASET 0.4.0.1
Owning Mod: ASET-PRC
CKAN Version   : v1.30.4
Your GameData has been returned to its original state.
Error during installation!
If the above message indicates a download error, please try again. Otherwise, please open an issue for us to investigate.
If you suspect a metadata problem: https://github.com/KSP-CKAN/NetKAN/issues/new/choose
If you suspect a bug in the client: https://github.com/KSP-CKAN/CKAN/issues/new/choose

Is this a 'me' problem, or a mod problem?

It's a mod problem, looks like it's conflicting with the ASET PRC mod.  I'll get it fixed

Link to comment
Share on other sites

1 hour ago, WelshSteW said:

Hiya.

I tried installing this via CKAN, and got the following error -

2022-02-18-22-31-11-CKAN-v1-30-4-KSP-1-1

I'm not sure that's going to work, so the text is 

  Reveal hidden contents

About to install:

 * Exploration Rover System by A.S.E.T. 0.4.0.1 (cached)
 * JSIPartUtilities 0.5.0.5 (cached)
Oh no! We tried to overwrite a file owned by another mod!
Please try a `ckan update` and try again.

If this problem re-occurs, then it may be a packaging bug.
Please report it at:

https://github.com/KSP-CKAN/NetKAN/issues/new/choose

Please include the following information in your report:

File      : GameData/ASET/License.md
Installing Mod : ExplorationRoverSystembyASET 0.4.0.1
Owning Mod: ASET-PRC
CKAN Version   : v1.30.4
Your GameData has been returned to its original state.
Error during installation!
If the above message indicates a download error, please try again. Otherwise, please open an issue for us to investigate.
If you suspect a metadata problem: https://github.com/KSP-CKAN/NetKAN/issues/new/choose
If you suspect a bug in the client: https://github.com/KSP-CKAN/CKAN/issues/new/choose

Is this a 'me' problem, or a mod problem?

There are two ASET rovers now:

  • ASET PRC (Portable Rover Components)
  • and ASET ERS (Exploration Rover System) [this one].

Both CKAN packages have the same file /GameData/ASET/License.md which is causing a conflict if someone tries to install both rovers at the same time. Either individually works fine.

Edit: ninja'd by LGG

Edited by Aelfhe1m
minor note
Link to comment
Share on other sites

New release, 0.4.0.2

  • Fixed conflicting file with the ASET PRC mod
  • Deleted unnecessary files

Will take a few minutes for CKAN to get updated.  Do a refresh to get the new version when it's available

Edit:  It's now available in CKAN, after you do the refresh

Edited by linuxgurugamer
Link to comment
Share on other sites

9 hours ago, linuxgurugamer said:

New release, 0.4.0.2

  • Fixed conflicting file with the ASET PRC mod
  • Deleted unnecessary files

Will take a few minutes for CKAN to get updated.  Do a refresh to get the new version when it's available

Edit:  It's now available in CKAN, after you do the refresh

Thank you, you're a star :) 

Link to comment
Share on other sites

55 minutes ago, OrbitalManeuvers said:

I had good luck right away (a miracle!) Did your ground mesh previews all lay flat?

No... they wont lay flat, to get them to mount correctly... I also have to use fine-snapping to rotate them to proper position...
Are you assembling this in the VAB or SPH?


Theres some other tweaks I see this mod could use... so I'm poking stuff

Link to comment
Share on other sites

2 hours ago, Stone Blue said:

Are you assembling this in the VAB or SPH?

In the SPH, like in the screenshot. I have to admit that I did not have the right requirement mod at that point, I had just the transparent cockpit one. With HebaruSan's helpful link, I got the correct dependency and everything still works. It was basically PAW things that didn't work the same without the requirement. But yeah, wheels moving fine for me. Mine is built with the "FWD" wheel on the left front and right rear, and the "BCK" wheel on the right front and left rear.

Link to comment
Share on other sites

5 hours ago, Stone Blue said:

Anyone else having problems with the wheels?
I launch it... but it wont move... Stuck to the runway... it just jiggles, and the wheels spin..??

Your wheels arent' mounted correctly.  There is a little red arrow on each wheel, it has to be pointing up when mounted.

3 hours ago, HebaruSan said:

One should link here instead:

I updated the OP, thanks

Link to comment
Share on other sites

How are y'all attaching the US mounts to the cargo bays? I cant seem to get the stac nodes on the mounts to "snap" to the carbo nodes...
The mounts just end up surface attaching..??

EDIT: Nvm..figured out the JSI Trans. Pods issue
Also, is the JSI Transparent Pods patch not seeming to work for anyone else?
I have JSI TP installed... I *did* remove the ASET IVA dependencies, do *NOT* have RPM installed...
I *do* have JSI Part Utilities installed

I just noticed the Cabin & Crew Modules are defaulted to the ASET internals, so I changed that to use the stock IVA, and STILL no transparent windows.. ??


@linuxgurugamer I'm looking at making some changes/improvements to this mod.
It looks like the IVAs are defaulted to ASET internals, so you get TONS of log spam (just warnings). I see several parts use "Placeholder" as an internal..?? Looks like there *is* an existing internal using stock props for the Cabin.
My question is, do you want the ASET IVA stuff & RPM Adopted to be *hard* dependencies with this, or should I go ahead and make an MM patch for the ASET IVAs, to make it a soft dependency/recommended mod? (the way its listed in the OP, it makes it sound like the ASET IVAs/RPM are *recommended*, not hard)

Edited by Stone Blue
Link to comment
Share on other sites

5 hours ago, Stone Blue said:


@linuxgurugamer I'm looking at making some changes/improvements to this mod.
It looks like the IVAs are defaulted to ASET internals, so you get TONS of log spam (just warnings). I see several parts use "Placeholder" as an internal..?? Looks like there *is* an existing internal using stock props for the Cabin.
My question is, do you want the ASET IVA stuff & RPM Adopted to be *hard* dependencies with this, or should I go ahead and make an MM patch for the ASET IVAs, to make it a soft dependency/recommended mod? (the way its listed in the OP, it makes it sound like the ASET IVAs/RPM are *recommended*, not hard)

That would be fine, the mod isn't stabilized yet, so patches are welcome

Link to comment
Share on other sites

@linuxgurugamer Just started KSP, and KSP-AVC threw this up for the first time:
Jf3mpPE.jpg

Yet, when I check the repo and SpaceDock, as well as here, I see no mention of a new 0.4.0.4..?? vOv

Working on some updates/fixes for this mod, so trying to keep on top of anything newly released for it ;)

EDIT: oh wait... I just checked the spacetux.net link in the .version file... I see *that* got updated.. vOv

Edited by Stone Blue
Link to comment
Share on other sites

This thread is quite old. Please consider starting a new thread rather than reviving this one.

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...